package com.sf.day02;

public class Test02 {
    public static void main(String[] args) {
        int a = 7;
        int b = 5;
        System.out.println("当前变量  a = " + a);

        int c = a%b;
//        System.out.println(c);
        /**
         * 除数
         */
        double d = 7/5.0;
//        System.out.println(d);
        /**
         * 开发可能遇到的问题:
         * 1 - 在进行数据运算的时候,尽量不要用整型进行接收 用Double数据类型
         *      在进行数据运算的时候   - int   如果结果是整数  int/Double  都可以
         *                                  如果结果非整数   int  存在数据精度丢失问题
         *      如果是人数计算      int  没有问题   根据实际业务需求进行分析  是否+1
         *          19.8     int   20  + 1
         *          age   int  salary   double
         */

//        int aa = 5;
////        aa++;
//          ++aa;
//        System.out.println(aa);

        if(a != b){
//            System.out.println("a==b");
        }else {
//            System.out.println("a!=b");
        }

        if(4 >= 3){
        }
        boolean aa = true;
        boolean bb = true;
        boolean cc = false;
        boolean dd = false;
        System.out.println(aa&bb);  //&   全真为真
        System.out.println(aa|cc);   //  | 一真为真
        System.out.println(aa && bb);   //aa  和 bb  都为真的时候是真
        System.out.println(aa || cc);    //aa   || cc 如果 aa  == 真 就不进行比较  真
        System.out.println(cc &&  dd);  //  false
        System.out.println(cc ||  dd);   //  false
        /**
         * 注意事项:
         * 在开发中 一般场景都用 &&  ||   很少用  &  |
         */

        //eg:   a = 7   b =5
        if(a > b && a >8  && a == b){  //假
            System.out.println("不走这里");
        }

        if(a > b || a > 8){  //真
            System.out.println("走这里");

            int AAA = 5<<3;

            System.out.println("这是5左移2位后的结果=====" + AAA);

            System.out.println(15>>>2);
            System.out.println(15>>>4);
            System.out.println(15>>>5);
        }

        /**
         *三目运算符
         * 语法格式: (条件判断语句)?表达式1:表达式2
         * 分析: (条件判断语句)   只有两种可能   真   假
         *          如果条件判断语句是真    返回 表达式1
         *          如果条件判断语句是假    返回 表达式2
         *          需求:找出a,b中的最大值
         *         int max =  (a>b):a:b
         */

        int no = (5>7)?5 : 7;
        System.out.println(no);

        /**
         * 三个数进行比较
         */
        int num1 = 1;
        int num2 = 2;
        int num3 = 3;
        int max = (num1>num2)?num1:num2;
        int maxz = (max>num3)?max:num3;
        System.out.println(maxz);
    }
}
